package com.qmth.qrzk.repository.common.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import com.qmth.qrzk.repository.user.model.CourseQuestionType;


@Component("courseQuestionTypeMapper")
public interface CourseQuestionTypeMapper extends CommonMapper{

	public List<CourseQuestionType> findQuestionTypeIds(int courseId);
	
	public int deleteLink(@Param("courseId")int courseId);
	
	public int getCount(CourseQuestionType cq);
}
